Subject: Re: Performance and executable size
From: [email-masked] (Anders Norlander)

5 Dec 1998 06:26:29 -0800
Message-ID: <[email-masked]>
References: <19981205044618.AAA15310@thanny>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
> 
> OK, I downloaded the EGCS 1.1 files, and managed to compile my program.
> 
> It works, but it's 625K, and horrifically slow.
> 
> Is there anything I can do to remedy this?
Compile with optimization :) Use the strip command or
link with the -s option.
 
> For reference, the DOS executable is about 20K, while the DPMI and OS/2
> executables are about 80K.  The DOS one, compiled with BC++ 3.0, is
> actually faster than the Win32 version.  The DPMI and OS/2 versions (DGJPP
> and VAC++, respectively) are both about ten times faster than the DOS
> version, so 10-15 times faster than the Win32 version.
If your program does a lot of I/O this is expected, especially
under win95.

Anders Norlander
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".